OaIdl.TYPEDESC._TYPEDESC (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: OaIdl, class: TYPEDESC, class: _TYPEDESC

Package com.sun.jna.platform.win32

# Class OaIdl.TYPEDESC._TYPEDESC

java.lang.Object
com.sun.jna.Structure
com.sun.jna.Union
com.sun.jna.platform.win32.OaIdl.TYPEDESC._TYPEDESC

Enclosing class:
  OaIdl.TYPEDESC

public static class OaIdl.TYPEDESC._TYPEDESC extends Union

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `OaIdl.HREFTYPE`
  `hreftype`
  [case()]
  C type : HREFTYPE
  `OaIdl.ARRAYDESC.ByReference`
  `lpadesc`
  [case()]
  C type : tagARRAYDESC*
  `OaIdl.TYPEDESC.ByReference`
  `lptdesc`
  [case()]
  C type : tagTYPEDESC*

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `_TYPEDESC()`
  `_TYPEDESC(Pointer pointer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OaIdl.HREFTYPE`
  `getHreftype()`
  `OaIdl.ARRAYDESC.ByReference`
  `getLpadesc()`
  `OaIdl.TYPEDESC.ByReference`
  `getLptdesc()`

  ### Methods inherited from class com.sun.jna.Union

  `getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### lptdesc

    public OaIdl.TYPEDESC.ByReference lptdesc
    [case()]
    C type : tagTYPEDESC*

  - ### lpadesc

    public OaIdl.ARRAYDESC.ByReference lpadesc
    [case()]
    C type : tagARRAYDESC*

  - ### hreftype

    public OaIdl.HREFTYPE hreftype
    [case()]
    C type : HREFTYPE

- ## Constructor Details

  - ### _TYPEDESC

    public _TYPEDESC()

  - ### _TYPEDESC

    public _TYPEDESC(Pointer pointer)

- ## Method Details

  - ### getLptdesc

    public OaIdl.TYPEDESC.ByReference getLptdesc()

  - ### getLpadesc

    public OaIdl.ARRAYDESC.ByReference getLpadesc()

  - ### getHreftype

    public OaIdl.HREFTYPE getHreftype()